View Issue Details

IDProjectCategoryView StatusLast Update
0001983unrealircdpublic2004-09-19 16:19
ReportersyzopAssigned Tosyzop 
PrioritynormalSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.2.2 
Summary0001983: TODO: salted passes + make md5 always available
DescriptionThis is just an TODO item for the following things:
- Code cleanup in src/auth.c (move stuff to subfunctions)
- Make md5 always available since we ship with it
- Allow passwords with a salt, and generate them by default with /mkpasswd. Obviously passwords-without-salt will still work (backward compatible).
TagsNo tags attached.
3rd party modules

Relationships

has duplicate 0002056 closed Using MD5 without SSL under *nix 

Activities

syzop

2004-07-21 12:12

administrator   ~0007186

[won't start for at least a week]

syzop

2004-08-04 04:37

administrator   ~0007305

Almost done :)
And don't worry, I did/am doing a lot of testing... I've 20 tests on my lists (of which 9 are completed) to check every combination of oldauth/newauth/mkpasswd on both *NIX and windows for every authmethod available on them.

syzop

2004-09-19 16:19

administrator   ~0007722

Added in .139.

Issue History

Date Modified Username Field Change
2004-07-21 12:10 syzop New Issue
2004-07-21 12:12 syzop Note Added: 0007186
2004-07-21 12:12 syzop Assigned To => syzop
2004-07-21 12:12 syzop Status new => assigned
2004-07-21 12:12 syzop ETA none => < 1 month
2004-07-21 12:12 syzop View Status public => private
2004-08-04 04:34 syzop ETA < 1 month => < 1 week
2004-08-04 04:37 syzop Note Added: 0007305
2004-09-04 15:16 syzop Relationship added has duplicate 0002056
2004-09-19 16:19 syzop View Status private => public
2004-09-19 16:19 syzop Summary [internal] TODO: salted passes + make md5 always available => TODO: salted passes + make md5 always available
2004-09-19 16:19 syzop Status assigned => resolved
2004-09-19 16:19 syzop Fixed in Version => 3.2.2
2004-09-19 16:19 syzop Resolution open => fixed
2004-09-19 16:19 syzop Note Added: 0007722